
//  Copyright (C) 2009 by Arnaud Dupuis
//  a.dupuis@infinityperl.org
//  http://www.infinityperl.org
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
// 
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the
//  Free Software Foundation, Inc.,
//  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA

#include "ui_assuma_helpbrowser.h"
#include <QDialog>
#include <QUrl>
/*! \class AssumaHelpBrowser
* \brief Association Subscribers Manager's help browser.
*
* This class is the help browser for Association Subscribers Manager. It is based on Webkit (QWebView) so it can display lots of content.
* This browser is a dialog, take this in consideration.
*/
class AssumaHelpBrowser : public QDialog, public Ui::AssumaHelpBrowser {
	Q_OBJECT
	public:
		/*!
		Constructs a new browser.
		\param parent the parent widget.
		*/
		AssumaHelpBrowser(QWidget *parent=0) ;
	public slots:
		/*!
		Set and load the url of the page to load.
		\param url the url to load.
		*/
		void setUrl(const QUrl &);
		/*!
		Load a theme for the UI.
		\param themeName the name of the theme to load. This is the name of a directory in the theme/ directory.
		*/
		void loadTheme( const QString & themeName = "default" );
		void on_webView_urlChanged(const QUrl & );
};